#include "main.h"

/*用于systick中断进行计数*/
unsigned int sys_10ms_task_counter = 0;

/*sys_10ms_task_counter计数器满10次，则认为10ms任务执行1次,作为CAN任务周期10ms*/
unsigned int sys_10ms_task_enable = 0;

int main(void)
{
    /* 中断向量表地址设置 */
	NVIC_SetVectorTable(NVIC_VectTab_FLASH, 0x0);/* Set the Vector Table base location at 0x08000000 */
    
    /* Systick时钟初始化，作为系统运行时间基准 1ms */
    Systick_OsPeriod_Init(1);
    
    /* can应用初始化 */
    app_can_init();
    
    /* 主循环 */ 
    while(1)
    {
        /*  10ms 周期运行处理 */
        if(sys_10ms_task_enable)
        {
            sys_10ms_task_enable=0;
            
            /*  CAN周期发送报文 */
            app_can_tx_test();
            
            /*  CAN中断接收报文后，此处根据中断接收标志，对CAN接收报文进行处理 */
            app_can_rx_test();
        }
    }
    return 0;
}






















